%define	upstream_name    YAML-Syck
%define upstream_version 1.29

%{?perl_default_filter}

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Fast, lightweight YAML loader and dumper
License:    MIT
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/YAML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl-devel
Provides:   perl-YAML-parser

%description
This module provides a Perl interface to the libsyck data
serialization library. It exports the Dump and Load functions for
converting Perl data structures to YAML strings, and the other way
around.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%{optflags}"

%check
%{__make} test

%install
%makeinstall_std

%files
%doc COMPATIBILITY COPYING Changes META.yml MYMETA.yml README
%{_mandir}/*/*
%{perl_vendorarch}/JSON
%{perl_vendorarch}/YAML
%{perl_vendorarch}/auto/YAML


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.290.0-5.mga6
+ Revision: 1036183
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.290.0-4.mga6
+ Revision: 958267
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 1.290.0-3.mga6
+ Revision: 845586
- rebuild for soname-ifed perl

* Tue Jun 23 2015 shlomif <shlomif> 1.290.0-2.mga6
+ Revision: 840562
- Rebuild for new perl

* Mon Jun 22 2015 sander85 <sander85> 1.290.0-1.mga6
+ Revision: 839262
- update to 1.29

* Sun Oct 19 2014 umeabot <umeabot> 1.270.0-7.mga5
+ Revision: 789139
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.270.0-6.mga5
+ Revision: 749303
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.270.0-5.mga5
+ Revision: 731920
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.270.0-4.mga5
+ Revision: 686992
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.270.0-3.mga5
+ Revision: 631904
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 1.270.0-2.mga4
+ Revision: 524572
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 1.270.0-1.mga4
+ Revision: 431142
- update to 1.27
- perl 5.18.0 rebuild

* Wed May 29 2013 tv <tv> 1.220.0-3.mga4
+ Revision: 430125
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.220.0-2.mga3
+ Revision: 375317
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.220.0-1.mga3
+ Revision: 342362
- update to 1.22

* Wed Sep 26 2012 jquelin <jquelin> 1.210.0-1.mga3
+ Revision: 298008
- update to 1.21

* Wed May 30 2012 jquelin <jquelin> 1.200.0-2.mga3
+ Revision: 251358
- rebuild for perl 5.16

* Thu Feb 23 2012 jquelin <jquelin> 1.200.0-1.mga2
+ Revision: 212973
- update to 1.20

* Tue Nov 08 2011 jquelin <jquelin> 1.190.0-1.mga2
+ Revision: 165531
- update to 1.19

* Tue Nov 08 2011 jquelin <jquelin> 1.180.0-1.mga2
+ Revision: 165454
- remove MYMETA from %%doc
- update to 1.18

* Sat Jun 11 2011 sander85 <sander85> 1.170.0-2.mga2
+ Revision: 103925
- perl 5.14

* Sat Jan 22 2011 jquelin <jquelin> 1.170.0-1.mga1
+ Revision: 31516
- mageia rebuild
- imported package perl-YAML-Syck

